#include "scene.h"
#include <iostream.h>
#include <fstream.h>
#include <float.h>
#include <string.h>
#include "FL/gl.h"

Scene *scene;

Scene::Scene() {

  fb = new FrameBuffer(20, 40, 640, 480);
  fb->label("SW rendering");
  ui = new GraphAppUI();
  ui->GraphAppW->position(800, 40);
  Show();
  Redraw();

}

void Scene::Show() {

  if (fb)
    fb->show();
  if (ui)
    ui->GraphAppW->show();

}


void Scene::Redraw() {

  if (fb) {
    Render();
    fb->redraw();
  }

}


void Scene::DBG() {

  if (fb) {
    int checkerWidth = 40;
    unsigned int colors[2] = {0xFF00AAFF, 0xFF000000};
    fb->MakeChecker(checkerWidth, colors);
  }
  Redraw();

}

void Scene::Render() {


}
