#ifndef FRAMEBUFFER_H_
#define FRAMEBUFFER_H_

#include <FL/Fl.H>
#include <FL/Fl_Gl_Window.H>


class FrameBuffer : public Fl_Gl_Window {


public:
  unsigned int *pix; // pixel data; one unsigned int per pixel (4 bytes, 32 bits, one byte per channel)
  int w, h; // image resolution
  // virtual methods that you need to implement
  void draw();
  void show();
  int handle(int event);
  FrameBuffer(int u0, int v0, int _w, int _h);
  void Clear(unsigned int clearColor);
  void Set(int u, int v, unsigned int color);
  void MakeChecker(int checkerWidth, unsigned int *colors);
};

#endif